KFIFO_DMA_IN_PREPARE(9)

NAME
kfifo_dma_in_prepare - setup a scatterlist for DMA input

SYNOPSIS

kfifo_dma_in_prepare(fifo, sgl, nents, len);

ARGUMENTS

fifo
    address of the fifo to be used

sgl
    pointer to the scatterlist array

nents
    number of entries in the scatterlist array

len
    number of elements to transfer

DESCRIPTION

This macro fills a scatterlist for DMA input. It returns the number entries in the scatterlist array.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macros.

COPYRIGHT